configure: detect whether -lpthreads is necessary for pthreads
[ghc.git] / rts / package.conf.in
index 338fcb1..02437ae 100644 (file)
@@ -46,7 +46,9 @@ extra-libraries:
                               ,"gdi32"      /* for the linker */
                               ,"winmm"      /* for the linker */
 #endif
+#if NEED_PTHREAD_LIB
                               , "pthread"   /* for pthread_getthreadid_np, pthread_create, etc. */
+#endif
 #if defined(DEBUG) && defined(HAVE_LIBBFD)
                               ,"bfd", "iberty"  /* for debugging */
 #endif